> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/release-notes/backend/backend-api/backend-api-17.5.10.md).

# Backend API 17.5.10

### Major Features

* Added additional Keeper AI triggered session lock ARAM Events
* Updated the list of Keeper AI event Categories
* Added PEDM Security Benchmark to “Enforce least privilege” policy on managed devices.&#x20;

### Improvements:<br>

* **KA-7380:** Added new ARAM events to track KeeperAI-triggered session locks (Critical, High, Medium) and user-initiated unlocks.
* **KA-7537:** Added PEDM entry RMD Security Benchmark to “Enforce least privilege” policy on managed devices.&#x20;

### Bugs:

* **KA-7475:** Updated Keeper AI event categories: `keeper_ai_recording_enabled`, `keeper_ai_recording_disabled`, `keeper_ai_session_terminate_enabled`, `keeper_ai_session_terminate_disabled`

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/release-notes/backend/backend-api/backend-api-17.5.10.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
